<?php

namespace FM\Service;

use FM\Factory\TarefaFactory;
use Teknisa\Libs\Util\Environment;
use Teknisa\Libs\Util\NewCode;

class TarefaService {

    protected $TarefaFactory;
    protected $Environment;
    protected $newCode;

    public function __construct (TarefaFactory $TarefaFactory, Environment $Environment, NewCode $newCode) {
        $this->TarefaFactory = $TarefaFactory;
        $this->Environment = $Environment;
        $this->newCode = $newCode;
    }
    
    public function getAllTasks() {
        $tasks = $this->TarefaFactory->selectAllTasks();
        return $tasks;
    }
}

?>